Bug 168160 - Review request: perl-prefork - Optimized module loading for forking or non-forking processes
Review request: perl-prefork - Optimized module loading for forking or non-fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/prefork/
:
Depends On:
Blocks: FE-ACCEPT 168187
  Show dependency treegraph
 
Reported: 2005-09-12 21:37 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 11:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-12 21:37:26 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-prefork.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-prefork-1.00-1.src.rpm

Description:
Optimized module loading for forking or non-forking processes
Comment 1 Jose Pedro Oliveira 2005-09-12 21:58:51 EDT
APPROVED

MD5SUMS:
486eb1f9150572e10ebd9c49908f87ba  perl-prefork-1.00-1.src.rpm

250a0773d5e8b1cfcbb1c776a0462c9b  perl-prefork.spec
41e19e56aca6ae7f36bcbfe420a0eb4c  prefork-1.00.tar.gz


Good:
* Package name follows standard
* Source tarball MD5 digest checked against CPAN
* URL and Source URL are valid
* License verified and included (file LICENSE)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are valid
* Builds without problems in FC3 and FC4
* No opened tickets in·
  http://rt.cpan.org/NoAuth/Bugs.html?Dist=prefork


Potential improvements:

* Drop the following BR:

»···BuildRequires: perl(Test::More) >= 0.47
»···BuildRequires: perl(File::Spec) >= 0.80
»···BuildRequires: perl(Scalar::Util) >= 1.10

  As of perl 5.8.1 these core modules have versions equal or superior to
  the ones listed above ($ corelist -a Teste::More File::Spec Scalar::Util)

* Maybe change the description to

»···prefork.pm is intended to serve as a central and optional marshalling
»···point for state detection (are we running in compile-time or run-time
»···mode) and to act as a relatively light-weight module loader.

Note You need to log in before you can comment on or make changes to this bug.